lwIP 2.1.1 Lightweight IP stack

Functions
netifapi.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/etharp.h"`
`#include "lwip/netifapi.h"`
`#include "lwip/memp.h"`
`#include "lwip/priv/tcpip_priv.h"`
`#include <string.h>`

## Functions
err_t | netifapi_arp_add (const ip4_addr_t *ipaddr, struct eth_addr *ethaddr, enum netifapi_arp_entry type)
err_t | netifapi_arp_remove (const ip4_addr_t *ipaddr, enum netifapi_arp_entry type)
err_t | netifapi_netif_add (struct netif *netif, const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw, void *state, netif_init_fn init, netif_input_fn input)
err_t | netifapi_netif_set_addr (struct netif *netif, const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw)
err_t | netifapi_netif_common (struct netif *netif, netifapi_void_fn voidfunc, netifapi_errt_fn errtfunc)
err_t | netifapi_netif_name_to_index (const char *name, u8_t *idx)
err_t | netifapi_netif_index_to_name (u8_t idx, char *name)

## Detailed Description

Network Interface Sequential API module

## Function Documentation

## ◆ netifapi_arp_add()

err_t netifapi_arp_add | ( | const ip4_addr_t * | ipaddr,
|  | struct eth_addr * | ethaddr,
|  | enum netifapi_arp_entry | type
| ) |  |

Add or update an entry in the ARP cache. For an update, ipaddr is used to find the cache entry.

Parameters

  ipaddr | IPv4 address of cache entry
  ethaddr | hardware address mapped to ipaddr
  type | type of ARP cache entry

Returns
  ERR_OK: entry added/updated, else error from err_t

## ◆ netifapi_arp_remove()

err_t netifapi_arp_remove | ( | const ip4_addr_t * | ipaddr,
|  | enum netifapi_arp_entry | type
| ) |  |

Remove an entry in the ARP cache identified by ipaddr

Parameters

  ipaddr | IPv4 address of cache entry
  type | type of ARP cache entry

Returns
  ERR_OK: entry removed, else error from err_t

## ◆ netifapi_netif_common()

err_t netifapi_netif_common | ( | struct netif * | netif,
|  | netifapi_void_fn | voidfunc,
|  | netifapi_errt_fn | errtfunc
| ) |  |

call the "errtfunc" (or the "voidfunc" if "errtfunc" is NULL) in a thread-safe way by running that function inside the tcpip_thread context.

Note
  use only for functions where there is only "netif" parameter.